Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPUnstructuredDataWriter Class Reference

`#include <vtkXMLPUnstructuredDataWriter.h>`

Inheritance diagram for vtkXMLPUnstructuredDataWriter:

[legend]
Collaboration diagram for vtkXMLPUnstructuredDataWriter:

[legend]
List of all members.

## Detailed Description

Superclass for PVTK XML unstructured data writers.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLPUnstructuredDataWriter provides PVTK XML writing functionality that is common among all the parallel unstructured data formats.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPUnstructuredDataWriter.h)`
  - .`cxx` (`/IO/vtkXMLPUnstructuredDataWriter.cxx)`

Definition at line 45 of file vtkXMLPUnstructuredDataWriter.h.

## Public Types
typedef vtkXMLPDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPUnstructuredDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPUnstructuredDataWriter ()
| ~vtkXMLPUnstructuredDataWriter ()
vtkPointSet * | GetInputAsPointSet ()
virtual vtkXMLUnstructuredDataWriter * | CreateUnstructuredPieceWriter ()=0
vtkXMLWriter * | CreatePieceWriter (int index)
void | WritePData (vtkIndent indent)

## Member Typedef Documentation

typedef vtkXMLPDataWriter vtkXMLPUnstructuredDataWriter::Superclass

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter. Definition at line 48 of file vtkXMLPUnstructuredDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLPUnstructuredDataWriter::vtkXMLPUnstructuredDataWriter | ( |  | ) | `[protected]`

vtkXMLPUnstructuredDataWriter::~vtkXMLPUnstructuredDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPUnstructuredDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter.

int vtkXMLPUnstructuredDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter.

virtual int vtkXMLPUnstructuredDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter.

vtkXMLPUnstructuredDataWriter* vtkXMLPUnstructuredDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter.

void vtkXMLPUnstructuredDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPDataWriter. Reimplemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter.

vtkPointSet* vtkXMLPUnstructuredDataWriter::GetInputAsPointSet | ( |  | ) | `[protected]`

virtual vtkXMLUnstructuredDataWriter* vtkXMLPUnstructuredDataWriter::CreateUnstructuredPieceWriter | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPPolyDataWriter, and vtkXMLPUnstructuredGridWriter.

vtkXMLWriter* vtkXMLPUnstructuredDataWriter::CreatePieceWriter | ( | int | index | ) | `[protected, virtual]`

| Implements vtkXMLPDataWriter.

void vtkXMLPUnstructuredDataWriter::WritePData | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLPUnstructuredDataWriter.h